/* FINAL DRAGON DRAW TEXT BOX MODULE 4/25/05
JESSE HARRIS
DRAWS A TEXT BORDER AT GIVEN SCREEN COORDINATES
*/
#include <mygba.h>
#include <hel.h>

void drawTextBox(TCustomTextInfo g_TextInfo, short startx, short starty, short sizex, short sizey)
{
    //THESE CHARACTERS WERE CUSTOMER CHANGES TO MAKE BORDER CHARACTERS FOR USE WITH FINAL DRAGON AND THIS BORDER MODULE
    //CORNERS
    hel_CustomTextPrint(&g_TextInfo, startx, starty, "Ü");
    hel_CustomTextPrint(&g_TextInfo, startx + sizex, starty, "ü");
    hel_CustomTextPrint(&g_TextInfo, startx, starty + sizey, "ö");
    hel_CustomTextPrint(&g_TextInfo, startx + sizex, starty + sizey, "ä");
    //PUT IT UP SIDES
    for(int y = starty + 1; y < starty + sizey; y++)
    {
        hel_CustomTextPrint(&g_TextInfo, startx, y,"|");
        hel_CustomTextPrint(&g_TextInfo, startx + sizex, y,"|");
    }
    //PUT IT UP TOP/BOTTOM
    for(int x = startx + 1; x < startx + sizex; x++)
    {
        hel_CustomTextPrint(&g_TextInfo, x, starty,"-");
        hel_CustomTextPrint(&g_TextInfo, x, starty + sizey,"-");
    }

}


/* END OF FILE */
